//
// Copyright(C) 1996 Sarrus Software, Inc.
// All rights reserved.
//
// PMIAdmin.h

#import <foundation/NSObject.h>

#import "SRCommandProcessor.h"
#import "PMICalendar.h"

@interface PMIAdmin : NSObject
{
	SRCommandProcessor *cmdProcessor;

	PMICalendar *calendar;
	PMICalendar *templateCalendar;
}

- initWithArgs:(char **)args count:(int)argCount;
- (void)setupCommands;
- (void)run;

- (void)readCalendar:(NSArray *)args;
- (void)writeCalendar:(NSArray *)args;
- (void)addToGroup:(NSArray *)args;
- (void)removeFromGroup:(NSArray *)args;
- (void)setAccessLevel:(NSArray *)args;
- (void)setOwner:(NSArray *)args;

- (void)usage;

@end

