//
//	Copyright(C) 1995 Sarrus Software, Inc.
// 	All rights reserved.
//
//	PMIActionItem.h
//
#import "PMIEvent.h"

@protocol PMIActionItem <PMIEvent>

- (NSCalendarDate *)startDate;
- (void)setStartDate:(NSCalendarDate *)startDate;

- (NSCalendarDate *)dueDate;
- (void)setDueDate:(NSCalendarDate *)dueDate;

- (BOOL)isComplete;
- (void)setComplete:(BOOL)value;

- (BOOL)isPrivate;
- (void)setPrivate:(BOOL)value;

- (NSString *)note;
- (void)setNote:(NSString *)newNote;

- (NSString *)rtfNote;
- (void)setRTFNote:(NSString *)newNote;

- (Font *)titleFont;
- (void)setTitleFont:(Font *)newFont;

- (NXColor)titleColor;
- (void)setTitleColor:(NXColor)color;
- (void)eraseTitleColor;

@end
