//
//	Copyright(C) 1995 Sarrus Software, Inc.
//	All rights reserved.
//
//	PMIAlarm.h
//
#import <foundation/NSObject.h>

#import "PMIEvent.h"

@protocol PMIAlarm <NSObject>

- (void)setOffset:(unsigned int)offsetInMinutes;
- (unsigned int)offset;
- (NSCalendarDate *)triggerTime;

- (void)setNoticed:(BOOL)flag;
- (BOOL)noticed;

- (BOOL)hasBeenSaved;

- (id <PMIEvent>)event;

@end

@protocol PMIMailAlarm <PMIAlarm>

- (void)setRecipients:(NSArray *)recipients;
- (NSArray *)recipients;

@end


